> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit PVC voice

> Edit PVC voice metadata



## OpenAPI

````yaml /api-reference/openapi.json post /v1/voices/pvc/{voice_id}
openapi: 3.1.0
info:
  title: Threetone API
  description: >-
    APIs for the Threetone Agents Platform and shared workspace resources.
    Authenticate programmatic requests with an API key in the x-api-key header.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/voices/pvc/{voice_id}:
    post:
      tags:
        - Voices
      summary: Edit PVC voice
      description: Edit PVC voice metadata
      operationId: edit_pvc_voice
      parameters:
        - name: voice_id
          in: path
          required: true
          schema:
            type: string
            description: >-
              Voice ID to be used, you can use GET /v1/voices to list all the
              available voices.
            examples:
              - 21m00Tcm4TlvDq8ikWAM
            title: Voice Id
          description: >-
            Voice ID to be used, you can use GET /v1/voices to list all the
            available voices.
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_Edit_PVC_voice_v1_voices_pvc__voice_id__post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddVoiceResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_Edit_PVC_voice_v1_voices_pvc__voice_id__post:
      properties:
        name:
          type: string
          maxLength: 100
          title: Name
          description: >-
            The name that identifies this voice. This will be displayed in the
            dropdown of the website.
          examples:
            - John Smith
        language:
          type: string
          title: Language
          description: Language used in the samples.
          examples:
            - en
        description:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Description
          description: Description to use for the created voice.
          examples:
            - >-
              An old American male voice with a slight hoarseness in his throat.
              Perfect for news.
        labels:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Labels
          description: Labels for the voice. Keys can be language, accent, gender, or age.
          examples:
            - >-
              {"language": "en", "accent": "en-US", "gender": "male", "age":
              "middle-aged"}
      type: object
      title: Body_Edit_PVC_voice_v1_voices_pvc__voice_id__post
    AddVoiceResponseModel:
      properties:
        voice_id:
          type: string
          title: Voice Id
          description: The ID of the voice.
      type: object
      required:
        - voice_id
      title: AddVoiceResponseModel
      example:
        voice_id: b38kUX8pkfYO2kHyqfFy
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.